package msgpack.rpcx.interface

/** Authentication interface for clients.
 *
 * @author myst3r10n
 */
trait AuthInterface {

  /** Sends heartbeat to RPC server.
   *
   * @param authId of client
   */
  def heartbeat(authId: String)

  /** Login into RPC server.
   *
   * @param username of client
   * @param password of client
   *
   * @return unique authentication id of client
   */
  def login(username: String, password: String): String

  /** Logout from RPC server.
   *
   * @param authId unique authentication id of client
   */
  def logout(authId: String)

}

